Build Status Pub

Test utility to ensure generated Dart code within a package is up-to-date when using package:build.

Usage

Assuming your package is already configured to use package:build_runnerpub run build_runner build succeeds – then simply add a unit test to the test directory.

For example: test/ensure_build_test.dart containing:

import 'package:build_verify/build_verify.dart';
import 'package:test/test.dart';

void main() {
  test('ensure_build', expectBuildClean);
}

Libraries

build_verify